# $Revision: 1.6 $, $Date: 2004/12/26 17:38:59 $

%define 	module	pyrepl

Summary:	pyrepl - a readline-a-like in Python
Summary(pl):	pyrepl - zastpca readline w Pythonie
Name:		python-%{module}
Version:	0.8.1
Release:	2
License:	Python-style
Group:		Libraries/Python
Source0:	http://codespeak.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	f285e5c0b8d43b86e52fdd1b25e467eb
Patch0:		python-pyrepl-pythoni-first-line-path.patch
URL:		http://codespeak.net/pyrepl/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyrepl - a readline-a-like in Python. Its key features are:

- sane multi-line editing,
- history, with incremental search,
- completion, including displaying of available options,
- a fairly large subset of the readline emacs-mode keybindings (adding
  more is mostly just a matter of typing),
- a liberal, Python-style, license,
- a new python top-level,
- no global variables, so you can run two or more independent readers
  without having their histories interfering,
- no hogging of control -- it should be easy to integrate pyrepl into
  YOUR application's event loop,
- generally speaking, a much more interactive experience than readline
  (it's a bit like a cross between readline and emacs's mini-buffer),
- unicode support (given terminal support).

%description -l pl
pyrepl jest moduem umoliwiajcym zastpienie moduu readline moduem
posiadajcym nastpujcych cechy:

- rozsdna obsuga edycji w wielu liniach,
- historia wraz z jej przeszukiwaniem,
- podpowiadanie wywietlajce dostpne opcje,
- cakiem duy podzbir skrtw klawiszowych trybu emacsa readline,
  wraz z atw metod rozszerzania tego zbioru,
- liberalna (w stylu Pythona) licencja,
- brak zmiennych globalnych, co umoliwia uruchomienie dwch lub
  wicej niezalenych czytnikw bez martwienia si nakadaniem na siebie
  historii,
- atwa kontrola umoliwiajca bezbolesn integracj pyrepl w ptli
  zdarze aplikacji uytkownika,
- oglnie rzecz biorc - wiksza interakcja z uytkownikiem ni w
  module readline (modu rozwin si w co pomidzy readline a
  mini-bufferem znanym z emacsa),
- obsuga uniode (jeli obsugiwane przez terminal).

%package utils
Summary:	Utilities for Python pyrepl module
Summary(pl):	Narzdzia moduu Pythona pyrepl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description utils
This package contains pythoni utility - an interactive Python
interpreter with pyrepl module embedded.

%description utils -l pl
Pakiet ten zawiera narzdzie pythoni - interaktywny interpreter
Pythona z osadzonym we moduem pyrepl.

%prep
%setup -q -n %{module}-%{version}
%patch -p0

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_bindir}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

install pythoni $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO CHANGES CREDITS
%{py_sitescriptdir}/pyrepl

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pythoni

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyrepl.spec,v $
Revision 1.6  2004/12/26 17:38:59  saq
- strict python deps, release 2

Revision 1.5  2004/12/22 11:47:45  saq
- unification

Revision 1.4  2004/12/21 12:16:15  darekr
- BR: python-modules

Revision 1.3  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.2  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.1  2004/06/03 22:06:29  zboczuch
- initial PLD release

